// Luce Digitale/JQ Sunny Panorama Plugin                                                                                            
// Author: Andrea Tonin - http://blog.lucedigitale.com                                                                  
// This code come with absolutely no warranty                                                                                          
// If you use this code in your project please give a link to http://blog.lucedigitale.com or give a like to https://www.facebook.com/lucedigitale
// Thanks in advance 

$(document).ready(function(){

    // Load the css style sheet
    $('head').append( $('<link rel="stylesheet" type="text/css" />').attr('href', 'sunny-panorama-plugin.css') );

    // You have to store the return of 'setInterval' in a variable
    var moveLeftId = null; 	
	
	// Firefox 24 do not support 'background-position-x' and 'background-position-y' so we have to split 'background-position' values by javascript
	var bgposx = 0;
	var bgposy = 0;
	
  // Anim of panorama image on mouse enter event, the cycle is infinite -> css 'background: repeat'
  $("#sunnypanorama").mouseenter(function(){
  
    if (moveLeftId !== null) return; // Use to stop setInterval
	
	// PANORAMA MOVE START ##################################
	moveLeftId = setInterval(function(){ // You have to store the return of 'setInterval' in a variable
	
	bgposx = bgposx-1; // -1 move background to left +1 move background to right
	var bgpos =  bgposx +'px' + ' ' + bgposy +'px'; // create the value for css 'background-position' as -> 0px 0px
	$("#sunnypanorama").css({'background-position': bgpos});
	
	},20); // subtract 1 px every 20 millisecond
	// PANORAMA MOVE END #####################################
	
  });
  
   // Stop the Anim
  $("#sunnypanorama").mouseleave(function(){
    clearInterval(moveLeftId);
	moveLeftId = null;
  });
  
});
